Foxit PDF SDK

Public Member Functions | List of all members
foxit::pdf::TextLink Class Reference
Inheritance diagram for foxit::pdf::TextLink:

## Public Member Functions
| TextLink (const TextLink &other)
| Constructor, with another text link object. More...
| ~TextLink ()
| Destructor.
int | GetEndCharIndex ()
| Get the index of last character of current hyper-link URI, based on PDF page. More...
RectFArray | GetRects ()
| Get the text rectangles of current text link object. More...
int | GetStartCharIndex ()
| Get the index of start character of current hyper-link URI, based on PDF page. More...
WString | GetURI ()
| Get URI string. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const TextLink &other) const
| Not equal operator. More...
TextLink & | operator= (const TextLink &other)
| Assign operator. More...
bool | operator== (const TextLink &other) const
| Equal operator. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

A text link is just text content, which represents a hypertext link to a website or a resource on the internet, or an e-mail address.
This class offers functions to get information from the text link.
A text link object is retrieved by function PageTextLinks::GetTextLink.

See also
  PageTextLinks

## Constructor & Destructor Documentation

## ◆ TextLink()

foxit::pdf::TextLink::TextLink | ( | const TextLink & | other | ) |

Constructor, with another text link object.

Parameters

  [in] | other | Another text link object.

## Member Function Documentation

## ◆ GetEndCharIndex()

int foxit::pdf::TextLink::GetEndCharIndex | ( |  | ) |

Get the index of last character of current hyper-link URI, based on PDF page.

Returns
  The index of last character, starting from 0.

## ◆ GetRects()

RectFArray foxit::pdf::TextLink::GetRects | ( |  | ) |

Get the text rectangles of current text link object.

Returns
  An array of rectangles.

## ◆ GetStartCharIndex()

int foxit::pdf::TextLink::GetStartCharIndex | ( |  | ) |

Get the index of start character of current hyper-link URI, based on PDF page.

Returns
  The index of start character, starting from 0.

## ◆ GetURI()

WString foxit::pdf::TextLink::GetURI | ( |  | ) |

Get URI string.

A text link's URI can be a hypertext link to a website or a resource on the internet. It can also be an e-mail address.

Returns
  URI string.

## ◆ IsEmpty()

bool foxit::pdf::TextLink::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator!=()

bool foxit::pdf::TextLink::operator!= | ( | const TextLink & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another text link object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

TextLink& foxit::pdf::TextLink::operator= | ( | const TextLink & | other | ) |

Assign operator.

Parameters

  [in] | other | Another text link object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::TextLink::operator== | ( | const TextLink & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another text link object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.